> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bookeeping.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the balance of an Account by ID

> Get the balance of an Account by ID



## OpenAPI

````yaml /api-reference/openapi.json get /v1/accounts/{id}/balance
openapi: 3.0.3
info:
  title: Bookeeping.ai API
  version: 1.0.0
  description: API for accessing and managing bookkeeping.ai data.
servers:
  - url: https://api.bookeeping.ai/public-api
    description: USA Virginia Region
  - url: https://ca-api.bookeeping.ai/public-api
    description: Canada Toronto Region
  - url: https://eu-api.bookeeping.ai/public-api
    description: EU Belgium Region
security:
  - BearerAuth: []
paths:
  /v1/accounts/{id}/balance:
    get:
      tags:
        - Accounts
      summary: Get the balance of an Account by ID
      description: Get the balance of an Account by ID
      operationId: getAccountBalanceById
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            The id of the account. Expected to be a valid object id like
            666666666666666666666666
          schema:
            type: string
            pattern: ^[0-9A-Fa-f]{24}$
      responses:
        '200':
          description: Get the balance of an Account by ID executed successfully
          headers:
            x-rate-limiter-daily-limit:
              description: Maximum number of requests allowed per day
              schema:
                type: integer
                example: 1500
            x-rate-limiter-minutely-limit:
              description: Maximum number of requests allowed per minute
              schema:
                type: integer
                example: 25
            x-rate-limiter-daily-usage:
              description: Number of requests made today
              schema:
                type: integer
                example: 106
            x-rate-limiter-minutely-usage:
              description: Number of requests made in the current minute
              schema:
                type: integer
                example: 1
            x-rate-limiter-operation-type:
              description: Operation type. Either read or write.
              schema:
                type: string
                enum:
                  - read
                  - write
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                  metaData:
                    type: object
                    properties:
                      warnings:
                        type: array
                        items:
                          type: string
                        description: Any validation warnings
                  data:
                    type: object
                    properties:
                      account:
                        type: object
                        properties:
                          _id:
                            type: string
                            description: The id of the account
                          projectId:
                            type: string
                            description: The project id of the account
                          nickName:
                            type: string
                            nullable: true
                            description: The nickname of the account
                          accountName:
                            type: string
                            nullable: true
                            description: The account name of the account
                          accountNumber:
                            type: string
                            nullable: true
                            description: The account number of the account
                          accountType:
                            type: string
                            enum:
                              - Depository
                              - Credit
                              - Loan
                              - Investment
                              - Other
                            description: The type of the account
                          createdAt:
                            type: string
                            format: date-time
                            description: The created at of the account
                          updatedAt:
                            type: string
                            format: date-time
                            description: The updated at of the account
                        required:
                          - _id
                          - projectId
                          - accountType
                          - createdAt
                          - updatedAt
                        additionalProperties: false
                      institutionBalance:
                        type: object
                        properties:
                          currency:
                            type: string
                            description: The currency of the balance
                          endingBalance:
                            type: number
                            description: The balance of the account
                        required:
                          - currency
                          - endingBalance
                        additionalProperties: false
                        nullable: true
                        description: >-
                          The institution balance of the account, null if
                          account is not linked with Plaid
                      accountingBalance:
                        type: object
                        properties:
                          currency:
                            type: string
                            description: Your business default currency
                          endingBalance:
                            type: number
                            description: The balance of the account until today
                          monthWiseBalance:
                            type: array
                            items:
                              type: object
                              properties:
                                month:
                                  type: string
                                  description: The month of the balance in YYYY-MM format
                                endingBalance:
                                  type: number
                                  description: The balance of the account in the month
                                currentBalance:
                                  type: number
                                  description: The balance of the account in the month
                                startingBalance:
                                  type: number
                                  description: The balance of the account in the month
                              required:
                                - month
                                - endingBalance
                                - currentBalance
                                - startingBalance
                              additionalProperties: false
                            description: The balance of the account month wise
                        required:
                          - currency
                          - endingBalance
                          - monthWiseBalance
                        additionalProperties: false
                        description: >-
                          The accounting balance of the account, calculated by
                          aggregating all transactions of the account
                    required:
                      - account
                      - institutionBalance
                      - accountingBalance
                    additionalProperties: false
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - BadRequestError
                  message:
                    type: string
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - UnauthorizedError
                  message:
                    type: string
        '409':
          description: Conflict - Resource already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - ConflictError
                  message:
                    type: string
        '429':
          description: >-
            Too Many Requests - Rate limit exceeded. Either daily or minutely
            limit exceeded. If you have any questions, please contact
            support@bookeeping.ai.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - TooManyRequestsError
                  message:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API key for authentication. Get your key from the Dashboard > Settings >
        API Access.

````